require 'rubygems'
require 'bundler'
begin
  Bundler.setup(:default, :development)
rescue Bundler::BundlerError => e
  $stderr.puts e.message
  $stderr.puts "Run `bundle install` to install missing gems"
  exit e.status_code
end
require 'turn/autorun'
require 'minitest/spec'
require 'minitest/unit'

$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'r_simperium'


def gen_uuid
  UUIDTools::UUID.timestamp_create.hexdigest
end

@_auth_token = nil
def get_auth_token(return_creds=false)
  if @_auth_token.nil?
    auth = RSimperium::Auth.new(@app_id, @api_key)
    username = gen_uuid + '@foo.com'
    password = gen_uuid
    @_auth_token = auth.create(username, password)
  end

  if return_creds
    [@_auth_token, username, password]
  else
    @_auth_token
  end
end

# Monkey patch (just for testing!)
class Hash
  def stringify_keys!
    keys.each do |key|
      self[key.to_s] = delete(key)
    end
    self
  end
end
