require 'spec_helper'
require 'core_helper'

class TestAuth < TestCore
  def test_create
    refute_nil get_auth_token
  end

  def test_delete
    token, username, pass = get_auth_token(true)
    auth = RSimperium::Auth.new(@app_id, @admin_api_key)
    assert_equal 200, auth.delete(username).raw_response.code
  end

  def test_change_password
    token, username, pass = get_auth_token(true)

    admin_auth = RSimperium::Auth.new(@app_id, @admin_api_key)
    new_pass = gen_uuid
    assert_equal true, admin_auth.change_password(username, new_pass)

    # An admin key cannot authorize a user
    auth = RSimperium::Auth.new(@app_id, @api_key)
    assert_equal false, auth.authorize(username, new_pass).nil?
  end
end
